summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-04-03 07:26:38 +0000
committerMike Frysinger <vapier@gentoo.org>2005-04-03 07:26:38 +0000
commit18e1aecec46d064f36700f4e5cba72862a0258d4 (patch)
treeadb679b8d1ca7dd8db90034c633aaf76db09e295 /eclass
parentgcc4 compile fix (diff)
downloadgentoo-2-18e1aecec46d064f36700f4e5cba72862a0258d4.tar.gz
gentoo-2-18e1aecec46d064f36700f4e5cba72862a0258d4.tar.bz2
gentoo-2-18e1aecec46d064f36700f4e5cba72862a0258d4.zip
add CBUILD/CTARGET and re-order user specified EXTRA_ECONF
Diffstat (limited to 'eclass')
-rw-r--r--eclass/games.eclass14
1 files changed, 10 insertions, 4 deletions
diff --git a/eclass/games.eclass b/eclass/games.eclass
index 700e4c9d8110..b8487068927f 100644
--- a/eclass/games.eclass
+++ b/eclass/games.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.91 2005/03/22 18:44:54 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.92 2005/04/03 07:26:38 vapier Exp $
#
# devlist: {vapier,wolf31o2,mr_bones_}@gentoo.org -> games@gentoo.org
#
@@ -34,8 +34,11 @@ export GAMES_USER_DED=${GAMES_USER_DED:-games}
export GAMES_GROUP=${GAMES_GROUP:-games}
egamesconf() {
+ local myconf
if [[ -x ./configure ]] ; then
gnuconfig_update
+ [[ -n ${CBUILD} ]] && myconf="${myconf} --build=${CBUILD}"
+ [[ -n ${CTARGET} ]] && myconf="${myconf} --target=${CTARGET}"
echo \
./configure \
--prefix="${GAMES_PREFIX}" \
@@ -45,8 +48,9 @@ egamesconf() {
--datadir="${GAMES_DATADIR}" \
--sysconfdir="${GAMES_SYSCONFDIR}" \
--localstatedir="${GAMES_STATEDIR}" \
- ${EXTRA_ECONF} \
- "$@"
+ ${myconf} \
+ "$@" \
+ ${EXTRA_ECONF}
./configure \
--prefix="${GAMES_PREFIX}" \
--host=${CHOST} \
@@ -55,8 +59,10 @@ egamesconf() {
--datadir="${GAMES_DATADIR}" \
--sysconfdir="${GAMES_SYSCONFDIR}" \
--localstatedir="${GAMES_STATEDIR}" \
+ ${myconf} \
+ "$@" \
${EXTRA_ECONF} \
- "$@" || die "egamesconf failed"
+ || die "egamesconf failed"
else
die "no configure script found"
fi